Skip to navigation

Get The Status Of An eMandate

View as Markdown

The eMandate Status Inquiry API V2 allows you to access the status of your eMandate and generates eMandate details with the status of the transaction. After the initial eMandate initiation call, there is an ability to view transaction status at any later point using the eMandate Status Inquiry API V2. You generate these details by passing values for the following fields in your request: Mandate Req ID, Scheme ID. The request follows custom schema formatting, and the response follows JSON message format.

<font size=‘2’>Content-Type: Supports ‘application/json’.
Authorization: The OAuth Token prefixed with “Bearer“ and space in between.

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Headers

AcceptstringRequired

Supports “application/json”.

AuthorizationstringRequired
The OAuth Token prefixed with "Bearer" and space in between.
regionstringRequired
Specifies merchant's region from where the mandate request is initiated i.e. 'EMEA'.

Query parameters

mandateRefIdstringRequired

Unique identification assigned/generated by the initiating party or by Origix platform respectively to clearly identify the transaction. This Identification is passed on, unchanged, throughout the entire end-to-end chain.

schemeIdstringRequired
SchemeId assigned to each merchant during onboarding process.
mandateIdstringOptional
mandateId is to retreive the status of mandate.
payer_reference_numberstringOptional

Unique and unambiguous identification as assigned by the creditor to the referred document shared with the debtor for its own reference.
Specify the reference document for the mandate, to be referred by debtor..

max_transaction_amountdoubleOptional

Maximum amount that may be collected from the debtor’s account,per instruction.
Amount of the transaction. Determine how and when a currency fractional (decimals) should be indicated in each transaction.Maximum of 15 Digits (Including decimals).

currency_codestringOptional

Maximum amount that may be collected from the debtor’s account, per instruction.
Amount of the transaction. Determine how and when a currency fractional (decimals) should be indicated in each transaction. Maximum of 15 Digits (Including decimals).

Response

OK
mandate_acceptancelist of objects

Indicates whether the mandate request was accepted or rejected or in-progress.
Accepted - ‘Yes’
In-Progress, Rejected - ‘No’
Possible DDI status for BACS -‘Active’, ‘Cancelled’, ‘Complete’, ‘Pending’, ‘Ready for Export’, ‘Exported’
Possible DDI status for SEPA -‘Active’, ‘Cancelled’, ‘Complete’, ‘Pending’
Possible Mandate status for HK - ‘Processed’, ‘CB-Rejected’, ‘Deleted’

mandate_full_detailsobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
405
Method Not Allowed Error
415
Unsupported Media Type Error
500
Internal Server Error